Read a KnowledgeBase
- Base URL
-
https://{kibana_url}
-
GET
/api/security_ai_assistant/knowledge_base
Auth
Indicates a successful call.
application/json
-
defend_insights_exists
boolean
-
Indicates if Defend Insights documentation exists in the KnowledgeBase.
-
elser_exists
boolean
-
Indicates if the ELSER model exists for the KnowledgeBase.
-
is_setup_available
boolean
-
Indicates if the setup process is available for the KnowledgeBase.
-
is_setup_in_progress
boolean
-
Indicates if the setup process is currently in progress.
-
product_documentation_status
string
-
The status of the product documentation in the KnowledgeBase.
-
security_labs_exists
boolean
-
Indicates if Security Labs documentation exists in the KnowledgeBase.
-
user_data_exists
boolean
-
Indicates if user data exists in the KnowledgeBase.
-
error
string
-
A short description of the error.
-
message
string
-
A detailed error message.
-
statusCode
number
-
The HTTP status code of the error.
Thank you for your feedback.